var NAVTREE =
[
  [ "gSOAP User Guide", "index.html", [
    [ "Introduction", "index.html#intro", null ],
    [ "Getting Started", "index.html#start", [
      [ "Creating a client app", "index.html#start-client", null ],
      [ "Creating a service app", "index.html#start-service", null ]
    ] ],
    [ "XML data bindings", "index.html#databindings", [
      [ "How to Build SOAP/XML Clients", "index.html#client", [
        [ "Example", "index.html#example1", null ],
        [ "XML Namespace Considerations", "index.html#namespace", null ],
        [ "Example", "index.html#example2", null ],
        [ "How to Generate C++ Client Proxy Classes", "index.html#proxy", null ],
        [ "XSD Type Encoding Considerations", "index.html#encoding", null ],
        [ "Example", "index.html#example3", null ],
        [ "How to Change the Response Element Name", "index.html#response", null ],
        [ "Example", "index.html#example4", null ],
        [ "How to Specify Multiple Output Parameters", "index.html#multiple", null ],
        [ "Example", "index.html#example5", null ],
        [ "How to Specify Output Parameters With struct/class Compound Data Types", "index.html#compound", null ],
        [ "Example", "index.html#example6", null ],
        [ "How to Specify Anonymous Parameter Names", "index.html#anonymous", null ],
        [ "Example", "index.html#example7", null ],
        [ "How to Create a Stand-Alone Server", "index.html#stand-alone", null ],
        [ "How to Create a Multi-Threaded Stand-Alone Service", "index.html#mt", null ],
        [ "How to Generate C++ Server Object Classes", "index.html#object", null ],
        [ "How to Chain C++ Server Classes to Accept Messages on the Same Port", "index.html#chaining", null ],
        [ "How to Generate WSDL Service Descriptions", "index.html#wsdl", null ],
        [ "Example", "index.html#example8", null ]
      ] ],
      [ "Asynchronous One-Way Message Passing", "index.html#oneway1", null ],
      [ "Implementing Synchronous One-Way Message Passing over HTTP", "index.html#oneway2", null ],
      [ "How to Use the SOAP Serializers and Deserializers to Save and Load Application Data using XML Data Bindings", "index.html#bindings", [
        [ "Serializing C/C++ Data to XML", "index.html#serialize", null ],
        [ "Deserializing C/C++ Data from XML", "index.html#deserialize", null ],
        [ "Example", "index.html#example9", null ],
        [ "How to Specify Default Values for Omitted Data", "index.html#default", null ]
      ] ]
    ] ],
    [ "The wsdl2h WSDL and Schema Importer", "index.html#wsdlin", [
      [ "Customizing Data Bindings With The typemap.dat File", "index.html#typemap", null ]
    ] ],
    [ "Using the soapcpp2 Compiler and Code Generator", "index.html#soapcpp2", [
      [ "soapcpp2 Options", "index.html#options", null ],
      [ "The soapdefs.h Header File", "index.html#soapdefs", null ],
      [ "How to Build Modules and Libraries with the #module Directive", "index.html#module", null ],
      [ "How to use the #import Directive", "index.html#import", null ],
      [ "How to Use #include and #define Directives", "index.html#pragmas", null ],
      [ "Limitations of gSOAP", "index.html#limitations", null ],
      [ "Library Build Flags", "index.html#compilerflags", null ],
      [ "Run Time Flags", "index.html#flags", null ],
      [ "Memory Management", "index.html#memory", [
        [ "Intra-Class Memory Management", "index.html#classmemory", null ]
      ] ],
      [ "Service Operation Parameter Passing", "index.html#param", null ],
      [ "Error Codes", "index.html#errcodes", null ],
      [ "C/C++ Identifier Name to XML Tag Name Mapping", "index.html#idtrans", null ],
      [ "Namespace Mapping Table", "index.html#nstable", null ],
      [ "How to Represent Primitive C/C++ Types as XSD Types", "index.html#primitive", [
        [ "How to use C++ Wrapper Classes to Specify Polymorphic Primitive Types", "index.html#primclass", null ],
        [ "\"Smart String\" Mixed-Content Decoding", "index.html#smart", null ],
        [ "C++ Strings", "index.html#strings", null ]
      ] ],
      [ "Enumeration Serialization", "index.html#enum", [
        [ "Boolean Enumeration Serialization for C", "index.html#boolean", null ]
      ] ],
      [ "Struct Serialization", "index.html#struct", null ],
      [ "Class Instance Serialization", "index.html#class", [
        [ "Getter and Setter Methods", "index.html#gettersetter", null ],
        [ "Streaming XML with Getter and Setter Methods", "index.html#streaming", null ],
        [ "Polymorphism, Derived Classes, and Dynamic Binding", "index.html#polymorph", null ],
        [ "XML Attributes", "index.html#attributes", null ]
      ] ],
      [ "Union Serialization", "index.html#union", null ],
      [ "Serializing Pointer Types", "index.html#pointer", null ],
      [ "Void Pointers", "index.html#void", null ],
      [ "Dynamic Arrays", "index.html#dynarray", [
        [ "Nested One-Dimensional Dynamic SOAP Arrays", "index.html#nested", null ],
        [ "Encoding XML Generics Containing Dynamic Arrays", "index.html#list", null ],
        [ "STL Containers", "index.html#templates", null ]
      ] ],
      [ "Base64Binary XML Schema Type Encoding", "index.html#base64binary", null ],
      [ "hexBinary XML Schema Type Encoding", "index.html#hexbinary", null ],
      [ "Literal XML Encoding Style", "index.html#literal", [
        [ "Serializing and Deserializing Mixed Content XML With Strings", "index.html#literal2", null ]
      ] ]
    ] ],
    [ "SOAP Fault Processing", "index.html#fault", null ],
    [ "SOAP Header Processing", "index.html#header", null ],
    [ "MIME Attachments", "index.html#MIME", null ],
    [ "DIME Attachments", "index.html#DIME", [
      [ "Serializing Binary Data in DIME", "index.html#DIMEbinary", null ],
      [ "Streaming DIME", "index.html#DIMEstreaming", null ],
      [ "Streaming Chunked DIME", "index.html#dimechunking", null ]
    ] ],
    [ "MTOM Attachments", "index.html#MTOM", [
      [ "Generating MultipartRelated MIME Attachment Bindings in WSDL", "index.html#MIMEWSDL", null ],
      [ "Streaming MTOM/MIME", "index.html#MTOMstreaming", null ],
      [ "Redirecting Inbound MTOM/MIME Streams Based on SOAP Body Content", "index.html#MTOMpoststreaming", null ],
      [ "Streaming Chunked MTOM/MIME", "index.html#mimechunking", null ]
    ] ],
    [ "XML Validation", "index.html#validation", null ],
    [ "SOAP/XML Over UDP", "index.html#udp", [
      [ "SOAP-over-UDP Server", "index.html#soapoverudp", null ]
    ] ],
    [ "Advanced Features", "index.html#advanced", [
      [ "Customizing the WSDL and Namespace Mapping Table File Contents With gSOAP Directives", "index.html#directives", null ],
      [ "Transient Data Types", "index.html#transient", null ],
      [ "Serialization \"{as is\" with Volatile Data Types}", "index.html#volatile", null ],
      [ "How to Declare User-Defined Serializers and Deserializers", "index.html#extern", null ],
      [ "Function Callbacks for Customized I/O and HTTP Handling", "index.html#callback", null ],
      [ "HTTP GET Support", "index.html#get", null ],
      [ "TCP and HTTP Keep-Alive", "index.html#keepalive", null ],
      [ "HTTP Chunked Transfer Encoding", "index.html#chunked", null ],
      [ "XML Parsing Options to set Safety Guards", "index.html#safety", null ],
      [ "Timeout Management for Non-Blocking Operations", "index.html#timeout", null ],
      [ "Secure Web Services with HTTPS/SSL~", "index.html#serveropenssl", null ],
      [ "Secure Clients with HTTPS/SSL", "index.html#clientopenssl", null ],
      [ "SSL Certificates and Key Files", "index.html#ssl", null ],
      [ "Zlib Compression", "index.html#compression", null ],
      [ "Client-Side Cookie Support", "index.html#clientcookie", null ],
      [ "Server-Side Cookie Support", "index.html#servercookie", null ],
      [ "FastCGI Support", "index.html#fastcgi", null ],
      [ "How to Create gSOAP Applications With a Small Memory Footprint", "index.html#lean", null ],
      [ "How to Eliminate BSD Socket Library Linkage", "index.html#noio", null ],
      [ "How to Build a Client or Server in a C++ Code Namespace", "index.html#codenamespace", null ],
      [ "How to Create Client/Server Libraries", "index.html#dylibs", null ],
      [ "How to Create DLLs", "index.html#dll", null ],
      [ "gSOAP Plug-ins", "index.html#plugins", null ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"index.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';